//---------------------------------------------------------------------------
#ifndef ffiltracja3H
#define ffiltracja3H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Dialogs.hpp>

#define IL_PODZ 80          //rozmiar tablic przesłony, ekranu i filtra,
                            //rozmiary wczytywanych bitmap.
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:
    TGroupBox *GroupBox1;
    TPaintBox *PaintBox1;
    TLabel *Label1;
    TEdit *Edit1;
    TButton *Button1;
    TGroupBox *GroupBox2;
    TPaintBox *PaintBox2;
    TButton *Button2;
    TGroupBox *GroupBox3;
    TPaintBox *PaintBox3;
    TLabel *Label2;
    TEdit *Edit2;
    TButton *Button3;
    TButton *Button4;
    TButton *Button5;
    TLabel *Label3;
    TEdit *Edit3;
    TLabel *Label4;
    TEdit *Edit4;
    TOpenDialog *OpenDialog1;
    TOpenDialog *OpenDialog2;void __fastcall Button1Click(TObject *Sender);
    void __fastcall Button2Click(TObject *Sender);
    void __fastcall Button3Click(TObject *Sender);
    void __fastcall Button4Click(TObject *Sender);
    void __fastcall Button5Click(TObject *Sender);
    void __fastcall PaintBox1Paint(TObject *Sender);
    
    void __fastcall PaintBox2Paint(TObject *Sender);
    void __fastcall PaintBox3Paint(TObject *Sender);
    void __fastcall FormShow(TObject *Sender);
private:
    float P[IL_PODZ][IL_PODZ];  //przysłona
    float F[IL_PODZ][IL_PODZ];  //filtr
    float E[IL_PODZ][IL_PODZ];  //ekran
    double odl;             //odległość ekran - przysłona
    double rozm_p, rozm_e;  //rozmiary przysł. i ekr.
    double L;               //barwa światła
    void inicjuj_parametry( void);
public:
    __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
